# Tokens

Define access permissions to registry resources

This tag groups all operations for tokens.

## GET /registries/{registryId}/tokens

> List all tokens for the container registry

```json
{"openapi":"3.0.3","info":{"title":"Container Registry service","version":"1.2.2"},"tags":[{"name":"Tokens","description":"Define access permissions to registry resources\n\nThis tag groups all operations for tokens.\n"}],"servers":[{"url":"https://api.ionos.com/containerregistries","description":"Production"}],"security":[{"basicAuth":[]},{"tokenAuth":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic","description":"You will need to base64 encode the string containing your credentials. Separate your username and password with a colon, i.e., username:password and send it as 'Authorization' request header. More details: https://en.wikipedia.org/wiki/Basic_access_authentication"},"tokenAuth":{"type":"apiKey","name":"Authorization","in":"header","description":"Please provide header value as 'Bearer' and don't forget to add 'Bearer' HTTP Authorization Scheme before the token        "}},"schemas":{"TokensResponse":{"required":["limit","offset","count","total","_links"],"type":"object","properties":{"_links":{"$ref":"#/components/schemas/PaginationLinks"},"count":{"type":"integer"},"href":{"type":"string"},"id":{"type":"string"},"items":{"type":"array","items":{"$ref":"#/components/schemas/TokenResponse"},"nullable":true},"limit":{"type":"integer"},"offset":{"type":"integer"},"total":{"type":"integer"},"type":{"type":"string"}}},"PaginationLinks":{"required":["next","self","previous"],"type":"object","properties":{"next":{"type":"string"},"previous":{"type":"string"},"self":{"type":"string"}}},"TokenResponse":{"required":["metadata","properties"],"type":"object","properties":{"href":{"type":"string"},"id":{"type":"string","format":"uuid"},"metadata":{"$ref":"#/components/schemas/ApiResourceMetadata"},"properties":{"$ref":"#/components/schemas/TokenProperties"},"type":{"type":"string"}}},"ApiResourceMetadata":{"title":"Metadata","required":["createdBy","createdByUserId","createdDate","state"],"type":"object","properties":{"createdBy":{"type":"string"},"createdByUserId":{"type":"string"},"createdDate":{"type":"string","format":"date-time"},"lastModifiedBy":{"type":"string"},"lastModifiedByUserId":{"type":"string"},"lastModifiedDate":{"type":"string","format":"date-time","nullable":true},"state":{"type":"string"}},"nullable":true},"TokenProperties":{"required":["name","credentials"],"type":"object","properties":{"credentials":{"$ref":"#/components/schemas/Credentials"},"expiryDate":{"type":"string","format":"date-time","nullable":true},"name":{"minLength":1,"pattern":"^[A-Za-z][-A-Za-z0-9]{0,61}[A-Za-z0-9]$","type":"string"},"scopes":{"type":"array","items":{"$ref":"#/components/schemas/Scope"},"nullable":true},"status":{"enum":["enabled","disabled"],"type":"string"}},"nullable":true},"Credentials":{"required":["username","password"],"type":"object","properties":{"password":{"type":"string"},"username":{"type":"string"}},"nullable":true},"Scope":{"required":["actions","name","type"],"type":"object","properties":{"actions":{"type":"array","items":{"type":"string"},"nullable":true},"name":{"type":"string"},"type":{"type":"string"}}},"ApiErrorResponse":{"required":["httpStatus","messages"],"type":"object","properties":{"httpStatus":{"type":"integer"},"messages":{"type":"array","items":{"$ref":"#/components/schemas/ApiErrorMessage"},"nullable":true}}},"ApiErrorMessage":{"required":["errorCode","message"],"type":"object","properties":{"errorCode":{"type":"string"},"message":{"type":"string"}}}}},"paths":{"/registries/{registryId}/tokens":{"get":{"tags":["Tokens"],"summary":"List all tokens for the container registry","description":"","operationId":"registriesTokensGet","parameters":[{"name":"offset","in":"query","description":"The first element (from the complete list of the elements) to include in the response (used together with limit for pagination)","schema":{"type":"string","description":"The first element (from the complete list of the elements) to include in the response (used together with limit for pagination)","default":"0"}},{"name":"limit","in":"query","description":"The maximum number of elements to return (used together with offset for pagination)","schema":{"type":"string","description":"The maximum number of elements to return (used together with offset for pagination)","default":"100"}},{"name":"registryId","in":"path","description":"The unique ID of the registry","required":true,"schema":{"pattern":"^[0-9a-fA-F]{8}-([0-9a-fA-F]{4}-){3}[0-9a-fA-F]{12}$","type":"string","format":"uuid","description":"The unique ID of the registry"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TokensResponse"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}}}}}}}
```

## Create token

> Create a token\
> \- password is only available once in the POST response

```json
{"openapi":"3.0.3","info":{"title":"Container Registry service","version":"1.2.2"},"tags":[{"name":"Tokens","description":"Define access permissions to registry resources\n\nThis tag groups all operations for tokens.\n"}],"servers":[{"url":"https://api.ionos.com/containerregistries","description":"Production"}],"security":[{"basicAuth":[]},{"tokenAuth":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic","description":"You will need to base64 encode the string containing your credentials. Separate your username and password with a colon, i.e., username:password and send it as 'Authorization' request header. More details: https://en.wikipedia.org/wiki/Basic_access_authentication"},"tokenAuth":{"type":"apiKey","name":"Authorization","in":"header","description":"Please provide header value as 'Bearer' and don't forget to add 'Bearer' HTTP Authorization Scheme before the token        "}},"schemas":{"PostTokenInput":{"required":["properties"],"type":"object","properties":{"properties":{"$ref":"#/components/schemas/PostTokenProperties"}}},"PostTokenProperties":{"required":["name"],"type":"object","properties":{"expiryDate":{"type":"string","format":"date-time","nullable":true},"name":{"minLength":1,"pattern":"^[A-Za-z][-A-Za-z0-9]{0,61}[A-Za-z0-9]$","type":"string"},"scopes":{"type":"array","items":{"$ref":"#/components/schemas/Scope"},"nullable":true},"status":{"enum":["enabled","disabled"],"type":"string"}}},"Scope":{"required":["actions","name","type"],"type":"object","properties":{"actions":{"type":"array","items":{"type":"string"},"nullable":true},"name":{"type":"string"},"type":{"type":"string"}}},"PostTokenOutput":{"required":["metadata","properties"],"type":"object","properties":{"href":{"type":"string"},"id":{"type":"string","format":"uuid"},"metadata":{"$ref":"#/components/schemas/ApiResourceMetadata"},"properties":{"$ref":"#/components/schemas/TokenProperties"},"type":{"type":"string"}}},"ApiResourceMetadata":{"title":"Metadata","required":["createdBy","createdByUserId","createdDate","state"],"type":"object","properties":{"createdBy":{"type":"string"},"createdByUserId":{"type":"string"},"createdDate":{"type":"string","format":"date-time"},"lastModifiedBy":{"type":"string"},"lastModifiedByUserId":{"type":"string"},"lastModifiedDate":{"type":"string","format":"date-time","nullable":true},"state":{"type":"string"}},"nullable":true},"TokenProperties":{"required":["name","credentials"],"type":"object","properties":{"credentials":{"$ref":"#/components/schemas/Credentials"},"expiryDate":{"type":"string","format":"date-time","nullable":true},"name":{"minLength":1,"pattern":"^[A-Za-z][-A-Za-z0-9]{0,61}[A-Za-z0-9]$","type":"string"},"scopes":{"type":"array","items":{"$ref":"#/components/schemas/Scope"},"nullable":true},"status":{"enum":["enabled","disabled"],"type":"string"}},"nullable":true},"Credentials":{"required":["username","password"],"type":"object","properties":{"password":{"type":"string"},"username":{"type":"string"}},"nullable":true},"ApiErrorResponse":{"required":["httpStatus","messages"],"type":"object","properties":{"httpStatus":{"type":"integer"},"messages":{"type":"array","items":{"$ref":"#/components/schemas/ApiErrorMessage"},"nullable":true}}},"ApiErrorMessage":{"required":["errorCode","message"],"type":"object","properties":{"errorCode":{"type":"string"},"message":{"type":"string"}}}}},"paths":{"/registries/{registryId}/tokens":{"post":{"tags":["Tokens"],"summary":"Create token","description":"Create a token\n- password is only available once in the POST response","operationId":"registriesTokensPost","parameters":[{"name":"registryId","in":"path","description":"The unique ID of the registry","required":true,"schema":{"pattern":"^[0-9a-fA-F]{8}-([0-9a-fA-F]{4}-){3}[0-9a-fA-F]{12}$","type":"string","format":"uuid","description":"The unique ID of the registry"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PostTokenInput"}}},"required":true},"responses":{"201":{"description":"Created","headers":{"Location":{"style":"simple","schema":{"type":"string"}}},"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PostTokenOutput"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}},"409":{"description":"Conflict","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}}}}}}}
```

## Get token information

> Gets all information for a specific token used to access a container registry

```json
{"openapi":"3.0.3","info":{"title":"Container Registry service","version":"1.2.2"},"tags":[{"name":"Tokens","description":"Define access permissions to registry resources\n\nThis tag groups all operations for tokens.\n"}],"servers":[{"url":"https://api.ionos.com/containerregistries","description":"Production"}],"security":[{"basicAuth":[]},{"tokenAuth":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic","description":"You will need to base64 encode the string containing your credentials. Separate your username and password with a colon, i.e., username:password and send it as 'Authorization' request header. More details: https://en.wikipedia.org/wiki/Basic_access_authentication"},"tokenAuth":{"type":"apiKey","name":"Authorization","in":"header","description":"Please provide header value as 'Bearer' and don't forget to add 'Bearer' HTTP Authorization Scheme before the token        "}},"schemas":{"TokenResponse":{"required":["metadata","properties"],"type":"object","properties":{"href":{"type":"string"},"id":{"type":"string","format":"uuid"},"metadata":{"$ref":"#/components/schemas/ApiResourceMetadata"},"properties":{"$ref":"#/components/schemas/TokenProperties"},"type":{"type":"string"}}},"ApiResourceMetadata":{"title":"Metadata","required":["createdBy","createdByUserId","createdDate","state"],"type":"object","properties":{"createdBy":{"type":"string"},"createdByUserId":{"type":"string"},"createdDate":{"type":"string","format":"date-time"},"lastModifiedBy":{"type":"string"},"lastModifiedByUserId":{"type":"string"},"lastModifiedDate":{"type":"string","format":"date-time","nullable":true},"state":{"type":"string"}},"nullable":true},"TokenProperties":{"required":["name","credentials"],"type":"object","properties":{"credentials":{"$ref":"#/components/schemas/Credentials"},"expiryDate":{"type":"string","format":"date-time","nullable":true},"name":{"minLength":1,"pattern":"^[A-Za-z][-A-Za-z0-9]{0,61}[A-Za-z0-9]$","type":"string"},"scopes":{"type":"array","items":{"$ref":"#/components/schemas/Scope"},"nullable":true},"status":{"enum":["enabled","disabled"],"type":"string"}},"nullable":true},"Credentials":{"required":["username","password"],"type":"object","properties":{"password":{"type":"string"},"username":{"type":"string"}},"nullable":true},"Scope":{"required":["actions","name","type"],"type":"object","properties":{"actions":{"type":"array","items":{"type":"string"},"nullable":true},"name":{"type":"string"},"type":{"type":"string"}}},"ApiErrorResponse":{"required":["httpStatus","messages"],"type":"object","properties":{"httpStatus":{"type":"integer"},"messages":{"type":"array","items":{"$ref":"#/components/schemas/ApiErrorMessage"},"nullable":true}}},"ApiErrorMessage":{"required":["errorCode","message"],"type":"object","properties":{"errorCode":{"type":"string"},"message":{"type":"string"}}}}},"paths":{"/registries/{registryId}/tokens/{tokenId}":{"get":{"tags":["Tokens"],"summary":"Get token information","description":"Gets all information for a specific token used to access a container registry","operationId":"registriesTokensFindById","parameters":[{"name":"registryId","in":"path","description":"The unique ID of the registry","required":true,"schema":{"pattern":"^[0-9a-fA-F]{8}-([0-9a-fA-F]{4}-){3}[0-9a-fA-F]{12}$","type":"string","format":"uuid","description":"The unique ID of the registry"}},{"name":"tokenId","in":"path","description":"The unique ID of the token","required":true,"schema":{"pattern":"^[0-9a-fA-F]{8}-([0-9a-fA-F]{4}-){3}[0-9a-fA-F]{12}$","type":"string","format":"uuid","description":"The unique ID of the token"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TokenResponse"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}}}}}}}
```

## Create or replace token

> Create/replace a token\
> \- password is only available once in the create response\
> \- "name" cannot be changed

```json
{"openapi":"3.0.3","info":{"title":"Container Registry service","version":"1.2.2"},"tags":[{"name":"Tokens","description":"Define access permissions to registry resources\n\nThis tag groups all operations for tokens.\n"}],"servers":[{"url":"https://api.ionos.com/containerregistries","description":"Production"}],"security":[{"basicAuth":[]},{"tokenAuth":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic","description":"You will need to base64 encode the string containing your credentials. Separate your username and password with a colon, i.e., username:password and send it as 'Authorization' request header. More details: https://en.wikipedia.org/wiki/Basic_access_authentication"},"tokenAuth":{"type":"apiKey","name":"Authorization","in":"header","description":"Please provide header value as 'Bearer' and don't forget to add 'Bearer' HTTP Authorization Scheme before the token        "}},"schemas":{"PutTokenInput":{"required":["properties"],"type":"object","properties":{"properties":{"$ref":"#/components/schemas/PostTokenProperties"}}},"PostTokenProperties":{"required":["name"],"type":"object","properties":{"expiryDate":{"type":"string","format":"date-time","nullable":true},"name":{"minLength":1,"pattern":"^[A-Za-z][-A-Za-z0-9]{0,61}[A-Za-z0-9]$","type":"string"},"scopes":{"type":"array","items":{"$ref":"#/components/schemas/Scope"},"nullable":true},"status":{"enum":["enabled","disabled"],"type":"string"}}},"Scope":{"required":["actions","name","type"],"type":"object","properties":{"actions":{"type":"array","items":{"type":"string"},"nullable":true},"name":{"type":"string"},"type":{"type":"string"}}},"PutTokenOutput":{"required":["metadata","properties"],"type":"object","properties":{"href":{"type":"string"},"id":{"type":"string","format":"uuid"},"metadata":{"$ref":"#/components/schemas/ApiResourceMetadata"},"properties":{"$ref":"#/components/schemas/TokenProperties"},"type":{"type":"string"}}},"ApiResourceMetadata":{"title":"Metadata","required":["createdBy","createdByUserId","createdDate","state"],"type":"object","properties":{"createdBy":{"type":"string"},"createdByUserId":{"type":"string"},"createdDate":{"type":"string","format":"date-time"},"lastModifiedBy":{"type":"string"},"lastModifiedByUserId":{"type":"string"},"lastModifiedDate":{"type":"string","format":"date-time","nullable":true},"state":{"type":"string"}},"nullable":true},"TokenProperties":{"required":["name","credentials"],"type":"object","properties":{"credentials":{"$ref":"#/components/schemas/Credentials"},"expiryDate":{"type":"string","format":"date-time","nullable":true},"name":{"minLength":1,"pattern":"^[A-Za-z][-A-Za-z0-9]{0,61}[A-Za-z0-9]$","type":"string"},"scopes":{"type":"array","items":{"$ref":"#/components/schemas/Scope"},"nullable":true},"status":{"enum":["enabled","disabled"],"type":"string"}},"nullable":true},"Credentials":{"required":["username","password"],"type":"object","properties":{"password":{"type":"string"},"username":{"type":"string"}},"nullable":true},"ApiErrorResponse":{"required":["httpStatus","messages"],"type":"object","properties":{"httpStatus":{"type":"integer"},"messages":{"type":"array","items":{"$ref":"#/components/schemas/ApiErrorMessage"},"nullable":true}}},"ApiErrorMessage":{"required":["errorCode","message"],"type":"object","properties":{"errorCode":{"type":"string"},"message":{"type":"string"}}}}},"paths":{"/registries/{registryId}/tokens/{tokenId}":{"put":{"tags":["Tokens"],"summary":"Create or replace token","description":"Create/replace a token\n- password is only available once in the create response\n- \"name\" cannot be changed","operationId":"registriesTokensPut","parameters":[{"name":"registryId","in":"path","description":"The unique ID of the registry","required":true,"schema":{"pattern":"^[0-9a-fA-F]{8}-([0-9a-fA-F]{4}-){3}[0-9a-fA-F]{12}$","type":"string","format":"uuid","description":"The unique ID of the registry"}},{"name":"tokenId","in":"path","description":"The unique ID of the token","required":true,"schema":{"pattern":"^[0-9a-fA-F]{8}-([0-9a-fA-F]{4}-){3}[0-9a-fA-F]{12}$","type":"string","description":"The unique ID of the token"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PutTokenInput"}}},"required":true},"responses":{"201":{"description":"Created","headers":{"Location":{"style":"simple","schema":{"type":"string"}}},"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PutTokenOutput"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}},"409":{"description":"Conflict","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}}}}}}}
```

## DELETE /registries/{registryId}/tokens/{tokenId}

> Delete token

```json
{"openapi":"3.0.3","info":{"title":"Container Registry service","version":"1.2.2"},"tags":[{"name":"Tokens","description":"Define access permissions to registry resources\n\nThis tag groups all operations for tokens.\n"}],"servers":[{"url":"https://api.ionos.com/containerregistries","description":"Production"}],"security":[{"basicAuth":[]},{"tokenAuth":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic","description":"You will need to base64 encode the string containing your credentials. Separate your username and password with a colon, i.e., username:password and send it as 'Authorization' request header. More details: https://en.wikipedia.org/wiki/Basic_access_authentication"},"tokenAuth":{"type":"apiKey","name":"Authorization","in":"header","description":"Please provide header value as 'Bearer' and don't forget to add 'Bearer' HTTP Authorization Scheme before the token        "}},"schemas":{"ApiErrorResponse":{"required":["httpStatus","messages"],"type":"object","properties":{"httpStatus":{"type":"integer"},"messages":{"type":"array","items":{"$ref":"#/components/schemas/ApiErrorMessage"},"nullable":true}}},"ApiErrorMessage":{"required":["errorCode","message"],"type":"object","properties":{"errorCode":{"type":"string"},"message":{"type":"string"}}}}},"paths":{"/registries/{registryId}/tokens/{tokenId}":{"delete":{"tags":["Tokens"],"summary":"Delete token","description":"","operationId":"registriesTokensDelete","parameters":[{"name":"registryId","in":"path","description":"The unique ID of the registry","required":true,"schema":{"pattern":"^[0-9a-fA-F]{8}-([0-9a-fA-F]{4}-){3}[0-9a-fA-F]{12}$","type":"string","format":"uuid","description":"The unique ID of the registry"}},{"name":"tokenId","in":"path","description":"The unique ID of the token","required":true,"schema":{"pattern":"^[0-9a-fA-F]{8}-([0-9a-fA-F]{4}-){3}[0-9a-fA-F]{12}$","type":"string","format":"uuid","description":"The unique ID of the token"}}],"responses":{"204":{"description":"No Content"},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}}}}}}}
```

## Update token

> Update token properties, for example:\
> \- change status to 'enabled' or 'disabled'\
> \- change expiry date

```json
{"openapi":"3.0.3","info":{"title":"Container Registry service","version":"1.2.2"},"tags":[{"name":"Tokens","description":"Define access permissions to registry resources\n\nThis tag groups all operations for tokens.\n"}],"servers":[{"url":"https://api.ionos.com/containerregistries","description":"Production"}],"security":[{"basicAuth":[]},{"tokenAuth":[]}],"components":{"securitySchemes":{"basicAuth":{"type":"http","scheme":"basic","description":"You will need to base64 encode the string containing your credentials. Separate your username and password with a colon, i.e., username:password and send it as 'Authorization' request header. More details: https://en.wikipedia.org/wiki/Basic_access_authentication"},"tokenAuth":{"type":"apiKey","name":"Authorization","in":"header","description":"Please provide header value as 'Bearer' and don't forget to add 'Bearer' HTTP Authorization Scheme before the token        "}},"schemas":{"PatchTokenInput":{"type":"object","properties":{"expiryDate":{"type":"string","format":"date-time","nullable":true},"scopes":{"type":"array","items":{"$ref":"#/components/schemas/Scope"},"nullable":true},"status":{"enum":["enabled","disabled"],"type":"string"}}},"Scope":{"required":["actions","name","type"],"type":"object","properties":{"actions":{"type":"array","items":{"type":"string"},"nullable":true},"name":{"type":"string"},"type":{"type":"string"}}},"TokenResponse":{"required":["metadata","properties"],"type":"object","properties":{"href":{"type":"string"},"id":{"type":"string","format":"uuid"},"metadata":{"$ref":"#/components/schemas/ApiResourceMetadata"},"properties":{"$ref":"#/components/schemas/TokenProperties"},"type":{"type":"string"}}},"ApiResourceMetadata":{"title":"Metadata","required":["createdBy","createdByUserId","createdDate","state"],"type":"object","properties":{"createdBy":{"type":"string"},"createdByUserId":{"type":"string"},"createdDate":{"type":"string","format":"date-time"},"lastModifiedBy":{"type":"string"},"lastModifiedByUserId":{"type":"string"},"lastModifiedDate":{"type":"string","format":"date-time","nullable":true},"state":{"type":"string"}},"nullable":true},"TokenProperties":{"required":["name","credentials"],"type":"object","properties":{"credentials":{"$ref":"#/components/schemas/Credentials"},"expiryDate":{"type":"string","format":"date-time","nullable":true},"name":{"minLength":1,"pattern":"^[A-Za-z][-A-Za-z0-9]{0,61}[A-Za-z0-9]$","type":"string"},"scopes":{"type":"array","items":{"$ref":"#/components/schemas/Scope"},"nullable":true},"status":{"enum":["enabled","disabled"],"type":"string"}},"nullable":true},"Credentials":{"required":["username","password"],"type":"object","properties":{"password":{"type":"string"},"username":{"type":"string"}},"nullable":true},"ApiErrorResponse":{"required":["httpStatus","messages"],"type":"object","properties":{"httpStatus":{"type":"integer"},"messages":{"type":"array","items":{"$ref":"#/components/schemas/ApiErrorMessage"},"nullable":true}}},"ApiErrorMessage":{"required":["errorCode","message"],"type":"object","properties":{"errorCode":{"type":"string"},"message":{"type":"string"}}}}},"paths":{"/registries/{registryId}/tokens/{tokenId}":{"patch":{"tags":["Tokens"],"summary":"Update token","description":"Update token properties, for example:\n- change status to 'enabled' or 'disabled'\n- change expiry date","operationId":"registriesTokensPatch","parameters":[{"name":"registryId","in":"path","description":"The unique ID of the registry","required":true,"schema":{"pattern":"^[0-9a-fA-F]{8}-([0-9a-fA-F]{4}-){3}[0-9a-fA-F]{12}$","type":"string","format":"uuid","description":"The unique ID of the registry"}},{"name":"tokenId","in":"path","description":"The unique ID of the token","required":true,"schema":{"pattern":"^[0-9a-fA-F]{8}-([0-9a-fA-F]{4}-){3}[0-9a-fA-F]{12}$","type":"string","format":"uuid","description":"The unique ID of the token"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PatchTokenInput"}}},"required":true},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TokenResponse"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiErrorResponse"}}}}}}}}}
```
